/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db;

public interface SequenceData extends com.mysql.grt.db.DatabaseObjectData {

    public int getCycleFlag();

    public int setCycleFlag(int cycleFlag);

    public int getOrderFlag();

    public int setOrderFlag(int orderFlag);

    public String getMinValue();

    public String setMinValue(String minValue);

    public String getMaxValue();

    public String setMaxValue(String maxValue);

    public String getIncrementBy();

    public String setIncrementBy(String incrementBy);

    public String getCacheSize();

    public String setCacheSize(String cacheSize);

    public String getLastNumber();

    public String setLastNumber(String lastNumber);

}
