/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.mgmt;

public interface RdbmsData extends com.mysql.grt.GrtObjectData {

    public String getCaption();

    public String setCaption(String caption);

    public String getDatabaseObjectPackage();

    public String setDatabaseObjectPackage(String databaseObjectPackage);

    public com.mysql.grt.db.mgmt.DriverList getDrivers();

    public com.mysql.grt.db.mgmt.DriverList setDrivers(com.mysql.grt.db.mgmt.DriverList drivers);

    public com.mysql.grt.db.SimpleDatatypeList getSimpleDatatypes();

    public com.mysql.grt.db.SimpleDatatypeList setSimpleDatatypes(com.mysql.grt.db.SimpleDatatypeList simpleDatatypes);

    public com.mysql.grt.db.CharacterSetList getCharacterSets();

    public com.mysql.grt.db.CharacterSetList setCharacterSets(com.mysql.grt.db.CharacterSetList characterSets);

    public com.mysql.grt.db.mgmt.Driver getDefaultDriver();

    public com.mysql.grt.db.mgmt.Driver setDefaultDriver(com.mysql.grt.db.mgmt.Driver defaultDriver);

    public String getDefaultDriverById();

    public void setDefaultDriverById(String defaultDriver);

}
