/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.migration;

public class ParameterGroupDataLocal extends com.mysql.grt.GrtObjectDataLocal implements ParameterGroupData {

    private String desc;

    private com.mysql.grt.GrtStringHashMap params;

    public ParameterGroupDataLocal(com.mysql.grt.GrtObject grtObject) {
        super(grtObject);
    }

    public String getDesc() {
        return desc;
    }

    public String setDesc(String desc) {
        this.desc = desc;

        return getDesc();
    }

    public com.mysql.grt.GrtStringHashMap getParams() {
        if (params == null)
            params = new com.mysql.grt.GrtStringHashMap(this.grtObject);
        return params;
    }

    public com.mysql.grt.GrtStringHashMap setParams(com.mysql.grt.GrtStringHashMap params) {
        this.params = params;

        return getParams();
    }

}
