/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.oracle;

public interface IndexData extends com.mysql.grt.db.IndexData {

    public int getCompression();

    public int setCompression(int compression);

    public int getPrefixLength();

    public int setPrefixLength(int prefixLength);

    public int getInitialTrans();

    public int setInitialTrans(int initialTrans);

    public int getMaxTrans();

    public int setMaxTrans(int maxTrans);

    public int getInitialExtent();

    public int setInitialExtent(int initialExtent);

    public int getNextExtent();

    public int setNextExtent(int nextExtent);

    public int getMinExtents();

    public int setMinExtents(int minExtents);

    public int getMaxExtents();

    public int setMaxExtents(int maxExtents);

    public int getPctIncrease();

    public int setPctIncrease(int pctIncrease);

    public int getPctTreshold();

    public int setPctTreshold(int pctTreshold);

    public int getBlevel();

    public int setBlevel(int blevel);

    public int getLeafBlocks();

    public int setLeafBlocks(int leafBlocks);

    public int getDistinctKeys();

    public int setDistinctKeys(int distinctKeys);

    public int getAvgLeafBlocksPerKey();

    public int setAvgLeafBlocksPerKey(int avgLeafBlocksPerKey);

    public int getAvgDataBlocksPerKey();

    public int setAvgDataBlocksPerKey(int avgDataBlocksPerKey);

    public int getClusteringFactor();

    public int setClusteringFactor(int clusteringFactor);

    public int getNumRows();

    public int setNumRows(int numRows);

    public int getGenerated();

    public int setGenerated(int generated);

    public String getTablespace();

    public String setTablespace(String tablespace);

}
