/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.migration;

public interface DatatypeMappingData extends com.mysql.grt.GrtObjectData {

    public int getLengthConditionFrom();

    public int setLengthConditionFrom(int lengthConditionFrom);

    public int getLengthConditionTo();

    public int setLengthConditionTo(int lengthConditionTo);

    public int getLength();

    public int setLength(int length);

    public int getPrecisionConditionFrom();

    public int setPrecisionConditionFrom(int precisionConditionFrom);

    public int getPrecisionConditionTo();

    public int setPrecisionConditionTo(int precisionConditionTo);

    public int getPrecision();

    public int setPrecision(int precision);

    public int getScaleConditionFrom();

    public int setScaleConditionFrom(int scaleConditionFrom);

    public int getScaleConditionTo();

    public int setScaleConditionTo(int scaleConditionTo);

    public int getScale();

    public int setScale(int scale);

    public int getAutoIncrement();

    public int setAutoIncrement(int autoIncrement);

    public int getUnsigned();

    public int setUnsigned(int unsigned);

    public String getSourceDatatypeName();

    public String setSourceDatatypeName(String sourceDatatypeName);

    public String getTargetDatatypeName();

    public String setTargetDatatypeName(String targetDatatypeName);

    public String getCharacterSet();

    public String setCharacterSet(String characterSet);

    public String getCollation();

    public String setCollation(String collation);

}
