/*
 Generic Runtime Library (GRT)
 Copyright (C) 2005 MySQL AB

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 This library is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 Lesser General Public License for more details.

 You should have received a copy of the GNU Lesser General Public
 License along with this library; if not, write to the Free Software
 Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

package com.mysql.grt.db.migration;

public class ParameterGroupDataGlobal extends com.mysql.grt.GrtObjectDataGlobal implements ParameterGroupData {

    public ParameterGroupDataGlobal(String globalObjectPath) {
        super(globalObjectPath);
    }

    public String getDesc() {
        return getGrtGlobalAsString("desc");
    }

    public String setDesc(String desc) {
        setGrtGlobalFromString("desc", desc);

        return getDesc();
    }

    public com.mysql.grt.GrtStringHashMap getParams() {
        return (com.mysql.grt.GrtStringHashMap) getGrtGlobalAsObject("params");

    }

    public com.mysql.grt.GrtStringHashMap setParams(com.mysql.grt.GrtStringHashMap params) {
        setGrtGlobalFromObject("params", params);

        return getParams();
    }

}
